io.vertx.rxjava3.ext.auth.properties

## Class PropertyFileAuthorization

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authorization.AuthorizationProvider
  - - io.vertx.rxjava3.ext.auth.properties.PropertyFileAuthorization

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class PropertyFileAuthorization
      extends AuthorizationProvider
      implements io.vertx.lang.rx.RxDelegate

  Factory interface for creating property file based `AuthenticationProvider` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<PropertyFileAuthorization>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyFileAuthorization(Object delegate)`
    `PropertyFileAuthorization(PropertyFileAuthorization delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyFileAuthorization` | `create(Vertx vertx, String path)` Create a File authentication provider
    `boolean` | `equals(Object o)`
    `PropertyFileAuthorization` | `getDelegate()`
    `int` | `hashCode()`
    `static PropertyFileAuthorization` | `newInstance(PropertyFileAuthorization arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authorization.AuthorizationProvider

      `create, getAuthorizations, getId, newInstance, rxGetAuthorizations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PropertyFileAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### PropertyFileAuthorization

          public PropertyFileAuthorization(PropertyFileAuthorization delegate)

    - #### PropertyFileAuthorization

          public PropertyFileAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthorizationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthorizationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthorizationProvider`

    - #### getDelegate

          public PropertyFileAuthorization getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `AuthorizationProvider`

    - #### create

          public static PropertyFileAuthorization create(Vertx vertx,
                                                         String path)

      Create a File authentication provider
      Parameters:
        `vertx` - the Vert.x instance
        `path` -
      Returns:
        the authentication provider

    - #### newInstance

          public static PropertyFileAuthorization newInstance(PropertyFileAuthorization arg)

Copyright © 2025 Eclipse. All rights reserved.